Skip to main content
GET
/
stores
/
{storeId}
/
affiliates
/
stats
Get affiliate statistics.
curl --request GET \
  --url https://api.komerza.com/stores/{storeId}/affiliates/stats \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "code": "<string>",
  "data": {
    "totalAffiliates": 123,
    "affiliatesChangePercentage": 123,
    "commissionsPaid": 123,
    "commissionsPaidChangePercentage": 123,
    "referralRevenue": 123,
    "referralRevenueChangePercentage": 123,
    "averageCommissionRate": 123,
    "topEarnerAmount": 123
  }
}

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required

The unique identifier of the store.

Response

200 - application/json

The object was successfully returned.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
object

Represents statistical data for an affiliate dashboard.